Package tigase.disco

# Class ServiceEntity

java.lang.Object
tigase.disco.ServiceEntity

public class ServiceEntity extends Object
Describe class ServiceEntity here.
Created: Sat Feb 10 13:11:34 2007

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceEntity(String jid, String node, String name)`
  `ServiceEntity(String jid, String node, String name, Function<String,Element> extensionSupplier)`
  `ServiceEntity(String jid, String node, String name, Function<String,Element> extensionSupplier, boolean adminOnly)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFeatures(String... features)`
  `void`
  `addIdentities(ServiceIdentity... identities)`
  `void`
  `addItems(ServiceEntity... items)`
  `boolean`
  `equals(Object obj)`
  2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
  `ServiceEntity`
  `findNode(String node)`
  `Optional<Element>`
  `getCaps(boolean admin, String domain)`
  `String[]`
  `getDiscoFeatures()`
  `Element[]`
  `getDiscoFeatures(String node)`
  `List<ServiceIdentity>`
  `getDiscoIdentities()`
  `Element`
  `getDiscoInfo(String node)`
  `Element`
  `getDiscoInfo(String node, boolean admin)`
  `Element`
  `getDiscoItem(String node, String jid)`
  `List<Element>`
  `getDiscoItems(String node, String jid)`
  `List<Element>`
  `getDiscoItems(String node, String jid, boolean admin)`
  `List<Element>`
  `getItems(String node, String jid)`
  `List<Element>`
  `getItems(String node, String jid, boolean admin)`
  `String`
  `getJID()`
  `String`
  `getName()`
  `String`
  `getNode()`
  `int`
  `hashCode()`
  `boolean`
  `isAdminOnly()`
  `void`
  `removeItems(ServiceEntity... items)`
  `void`
  `setAdminOnly(boolean adminOnly)`
  `void`
  `setDescription(String description)`
  `void`
  `setFeatures(String... features)`
  `void`
  `setIdentities(ServiceIdentity... identities)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceEntity

    public ServiceEntity(String jid, String node, String name)

  - ### ServiceEntity

    public ServiceEntity(String jid, String node, String name, Function<String,Element> extensionSupplier)

  - ### ServiceEntity

    public ServiceEntity(String jid, String node, String name, Function<String,Element> extensionSupplier, boolean adminOnly)

- ## Method Details

  - ### addFeatures

    public void addFeatures(String... features)

  - ### addIdentities

    public void addIdentities(ServiceIdentity... identities)

  - ### addItems

    public void addItems(ServiceEntity... items)

  - ### equals

    public boolean equals(Object obj)
    2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - an `Object` value
    Returns:
      a `boolean` value

  - ### findNode

    public ServiceEntity findNode(String node)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### removeItems

    public void removeItems(ServiceEntity... items)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCaps

    public Optional<Element> getCaps(boolean admin, String domain)

  - ### getDiscoFeatures

    public String[] getDiscoFeatures()

  - ### getDiscoIdentities

    public List<ServiceIdentity> getDiscoIdentities()

  - ### getDiscoFeatures

    public Element[] getDiscoFeatures(String node)

  - ### getDiscoInfo

    public Element getDiscoInfo(String node)

  - ### getDiscoInfo

    public Element getDiscoInfo(String node, boolean admin)

  - ### getDiscoItem

    public Element getDiscoItem(String node, String jid)

  - ### getDiscoItems

    public List<Element> getDiscoItems(String node, String jid)

  - ### getDiscoItems

    public List<Element> getDiscoItems(String node, String jid, boolean admin)

  - ### getItems

    public List<Element> getItems(String node, String jid)

  - ### getItems

    public List<Element> getItems(String node, String jid, boolean admin)

  - ### getJID

    public String getJID()

  - ### getName

    public String getName()

  - ### getNode

    public String getNode()

  - ### isAdminOnly

    public boolean isAdminOnly()

  - ### setAdminOnly

    public void setAdminOnly(boolean adminOnly)

  - ### setDescription

    public void setDescription(String description)

  - ### setFeatures

    public void setFeatures(String... features)

  - ### setIdentities

    public void setIdentities(ServiceIdentity... identities)